#pragma once
#include <memory>

#include "XmlElement.h"

class HtmlElement : public XmlElement
{
public:
    HtmlElement(const std::string& tagName);

    static std::unique_ptr<HtmlElement> CreateUnique(const std::string& tagName);
};

using HtmlElementUPtr = std::unique_ptr<HtmlElement>;
